# 公共仓库

1. 该仓库存放一些通用的库或者小组件
2. 每个库或组件都应该有`说明.md`或者`Readme.md`文件，这个文件可以写清楚该组件的使用方式，版本号等



## Libraries
1. 这个文件夹中存放的是一些动态库，如`CURL`库，包含Windows和Linux的版本
2. 这个文件夹中包含一个`Libraries.cmake`的文件，在`CMakeLists.txt`中使用`include`包含该文件，即可使用这个文件夹下的所有动态库
3. 目前每个动态库都提供了`.cmake`文件，`Libraries.cmake`会在其中包含`.cmake`文件，可以直接在cmake中直接使用该组件

## common
1. 这个文件夹下包含源文件和头文件，可以直接在`.pro`或者`camke`文件中添加使用


## UI
1. 这个文件夹下包含`Qt`UI相关的组件和类，也可以包含常用的`qss`文件等

